<div class="configure-component-dialog">
  <div class="d-flex align-items-center configure-component-dialog-header">
    <h2 mat-dialog-title class="my-0">Configure component</h2>
    <span class="spacer"></span>
    <div class="buttons-wrapper">
      <button
        color="primary"
        mat-stroked-button
        (click)="closeDialog()"
        aria-label="Icon button with a close icon"
      >
        Cancel
      </button>
      <button
        [disabled]="paramsForm.invalid"
        color="primary"
        mat-raised-button
        (click)="saveParameters()"
      >
        Save
      </button>
    </div>
  </div>

  <mat-dialog-content>
    <form [formGroup]="paramsForm">
      <p>
        <mat-form-field>
          <mat-label>Log level</mat-label>
          <mat-select formControlName="param1">
            <mat-option value="INFO">INFO</mat-option>
            <mat-option value="DEBUG">DEBUG</mat-option>
            <mat-option value="WARNING">WARNING</mat-option>
          </mat-select>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Cache Time To Live (ms)</mat-label>
          <input matInput type="number" formControlName="param2" />
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Log file path</mat-label>
          <input matInput type="text" formControlName="param3" />
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Configuration file path</mat-label>
          <input matInput type="text" formControlName="param4" />
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Service port number</mat-label>
          <input matInput type="number" formControlName="param5" />
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Datasource URI</mat-label>
          <input matInput type="text" formControlName="param6" />
        </mat-form-field>
      </p>
    </form>
  </mat-dialog-content>
</div>
